<?php
class Af_Wc_Ajax_Controller {
	public function __construct() {
		// add_action( 'wp_ajax_custom_wc_pdf_upload', array( $this, 'custom_wc_pdf_upload' ) );
		add_action( 'wp_ajax_af_wc_sc_send_email_ajax_callback', array( $this, 'af_wc_sc_send_email_ajax_callback' ) );
		add_action( 'wp_ajax_sample_pdf_ajax', array( $this, 'sample_pdf_ajax' ) );
		add_action( 'wp_ajax_nopriv_af_wc_sc_send_email_ajax_callback', array( $this, 'af_wc_sc_send_email_ajax_callback' ) );
		//for block PDF.
		require_once AF_WC_SC_PDF_PLUGIN_DIR . 'includes/af-woocommerce-store-catalog-general-functions.php';
	}
	
	public function sample_pdf_ajax() {
		$nonce = isset( $_POST['nonce'] ) ? sanitize_text_field( wp_unslash( $_POST['nonce'] ) ) : 0;
		if ( ! wp_verify_nonce( $nonce, 'af_wcsc_upload_files_nonce' ) ) {
			wp_die( esc_html__( 'Failed security check!', 'products-pdf-catalog' ) );
		}
		if (isset($_POST['sample_temp_name']) && !empty($_POST['sample_temp_name'])) {

			$func_type=sanitize_text_field(wp_unslash($_POST['sample_temp_name'])); 
			$page_type='sample_page';
			$wc_sc_choose_template=sanitize_text_field(wp_unslash($_POST['sample_temp_name']));
			create_template_for_pdf(array(), $func_type, $page_type, $wc_sc_choose_template);
			
			wp_send_json('true');
		}
	}
	public function custom_wc_pdf_upload() {
		if ( ! function_exists( 'WP_Filesystem' ) ) {
			require_once ABSPATH . 'wp-admin/includes/file.php' ;
		}
		WP_Filesystem();
		global $wp_filesystem;

		$nonce = isset( $_POST['nonce'] ) ? sanitize_text_field( wp_unslash( $_POST['nonce'] ) ) : 0;
		if ( ! wp_verify_nonce( $nonce, 'af_wcsc_upload_files_nonce' ) ) {
			wp_die( esc_html__( 'Failed security check!', 'products-pdf-catalog' ) );
		}
		if ( empty( $_FILES ) ) {
			$af_wc_sc_data         = array();
			$af_wc_sc_data['data'] = 10;
			wp_send_json( $af_wc_sc_data );
			return;
		}

		$id_of_data_type                          = array_keys( $_FILES );
		$id_file_name                             = current( $id_of_data_type );
		$header_logo_filename                     = isset( $_FILES[ $id_file_name ]['name'] ) ? sanitize_text_field( wp_unslash( $_FILES[ $id_file_name ]['name'] ) ) : '';
		$file_header_logo_extension               = pathinfo( $header_logo_filename, PATHINFO_EXTENSION );
		$valid_extensions_type                    = array( 'jpg', 'png', 'jpeg' );
		$new_header_logo_file_name                = wp_rand( 111111, 999999 ) . '.';
		$new_header_logo_file_name_with_extension = $new_header_logo_file_name . $file_header_logo_extension;

		if ( 'sc_ready_custom_pdf_field' == $id_file_name ) {
			$folder_name_for_upload = 'custom-pdfs';
		}
		
		$download_header_logo_path = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/' . $folder_name_for_upload . '/';
		$display_path_header_logo  = AF_WC_SC_PDF_PLUGIN_URL . 'uploads/' . $folder_name_for_upload . '/';

		$files = scandir( $download_header_logo_path );
		foreach ( $files as $file ) {
			$wc_sc_file_path = $download_header_logo_path . '/' . $file;
			if ( is_file( $wc_sc_file_path ) ) {
				$basename = basename( $wc_sc_file_path );
				wp_delete_file($download_header_logo_path . $basename); 
			}
		}

		if (!isset($_FILES['sc_ready_custom_pdf_field']) || empty($_FILES['sc_ready_custom_pdf_field'])) {
			return;
		}

		$upload = wp_handle_upload( $_FILES['sc_ready_custom_pdf_field'], array( 'test_form' => false ) );
		if ( isset( $upload['file'] ) ) {
			$file_path = $upload['file'];
			$custom_folder = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/custom-pdfs/';

			if (!isset($_FILES['sc_ready_custom_pdf_field']['name']) || !empty($_FILES['sc_ready_custom_pdf_field']['name'])) {
				return;
			}
			$custom_file_path = $custom_folder . sanitize_text_field($_FILES['sc_ready_custom_pdf_field']['name']);
			if ( ! file_exists( $custom_folder ) ) {
				wp_mkdir_p( $custom_folder );
			}

			if ( $wp_filesystem->copy( $file_path, $custom_file_path ) ) {
				$wp_filesystem->delete( $file_path );
				$af_wc_sc_data['data'] = 1;
			}
		}

		// $af_wc_sc_data['data'] = '<img style="width:100px;height:100px;" class="header_logo_class" src="' . $display_path_header_logo . $new_header_logo_file_name_with_extension . '"/>';
		wp_send_json( $af_wc_sc_data );
		wp_die();
	}
	public function af_wc_sc_send_email_ajax_callback() {
		$wcsc_error = array();
		if ( isset( $_POST['formData'] ) ) {
			parse_str( sanitize_meta( '', wp_unslash( $_POST['formData'] ), '' ), $af_wc_sc_email_data );
			$nonce = isset( $af_wc_sc_email_data['af_wc_sc_send_email_nonce_action'] ) ? sanitize_text_field( wp_unslash( $af_wc_sc_email_data['af_wc_sc_send_email_nonce_action'] ) ) : 0;
			if ( ! wp_verify_nonce( $nonce, 'af_wc_sc_send_email_nonce_name' ) ) {
				wp_die( esc_html__( 'Failed security check!', 'products-pdf-catalog' ) );
			} else {
				$wc_sc_product_ids = $af_wc_sc_email_data['product_id'];
				$wc_sc_product_id  = explode( '__', $wc_sc_product_ids );

				create_template_for_pdf( $wc_sc_product_id, $func_type = 'download' );

				$image_path = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/downloads-for-email/Brochure.pdf';
				// $headers    = 'Content-Type: text/html; charset=UTF-8';.'Content-Type: multipart/mixed'
				$headers = 'Content-Type: text/html; charset=UTF-8';
				$to      = $af_wc_sc_email_data['email'];
				$subject = 'Your Email Subject';
				$message = $af_wc_sc_email_data['wc_sc_textarea'];
				if ( empty( $af_wc_sc_email_data['wc_sc_textarea'] ) ) {
					$message = 'pdf ATTACHMENT';
				}
				$attachment = array( $image_path );
			}
			if ( wp_mail( $to, $subject, $message, $headers, $attachment ) ) {
				$wcsc_error['status'] = '1';
			} else {
				$wcsc_error['status'] = '0';
			}
		}
		wp_send_json( $wcsc_error );
	}
}
new Af_Wc_Ajax_Controller();
