<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
class Af_Woocomerce_Store_Catalog_Pdf_Admin {
	public function __construct() {
		add_action( 'admin_init', array( $this, 'af_wc_sc_custom_pdf_upload' ));

		add_action( 'all_admin_notices', array( $this, 'af_wc_sc_pdf_generate_tabs' ) );
		add_action( 'admin_menu', array( $this, 'af_wc_sc_pdf_submenu' ) );
		add_action( 'admin_enqueue_scripts', array( $this, 'sc_pdf_js_css_admin_scripts' ) );

		require_once AF_WC_SC_PDF_PLUGIN_DIR . 'includes/af-woocommerce-store-catalog-general-functions.php';
		require_once AF_WC_SC_PDF_PLUGIN_DIR . 'includes/admin/tabs/class-af-woocommerce-store-catalog-pdf-general-settings-tab.php';
		require_once AF_WC_SC_PDF_PLUGIN_DIR . 'includes/admin/tabs/class-af-woocommerce-store-catalog-pdf-settings-tab.php';
	}
	public function af_wc_sc_custom_pdf_upload() {

		if ( isset( $_POST['option_page'] ) && 'wc_sc_general_setting_pdf' == $_POST['option_page'] ) {
			$nonce = isset( $_POST['sc_ready_custom_pdf_fiel_action'] ) ? sanitize_text_field( wp_unslash( $_POST['sc_ready_custom_pdf_fiel_action'] ) ) : 0;
			if ( ! wp_verify_nonce( $nonce, 'sc_ready_custom_pdf_fiel_nonce' ) ) {
				die( esc_html__('Failed ajax security check!', 'products-pdf-catalog') );
			}

			if ( ! function_exists( 'WP_Filesystem' ) ) {
				require_once ABSPATH . 'wp-admin/includes/file.php';
			}
			WP_Filesystem();
			global $wp_filesystem;
			if ( isset( $_FILES['sc_ready_custom_pdf_field'] ) && ! empty( $_FILES['sc_ready_custom_pdf_field']['name'] ) ) {
	
				$file          = sanitize_meta('', $_FILES['sc_ready_custom_pdf_field'], '');
				$allowed_types = array( 'application/pdf' );
				if ( ! in_array( $file['type'], $allowed_types, true ) ) {
					return;
				}
	
				$upload_dir = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/custom-pdfs';
				if ( ! file_exists( $upload_dir ) ) {
					wp_mkdir_p( $upload_dir ); 
				}
	
				// -----------------------------------DELETE OLD FILES---------------------------------------
				$wc_sc_file_path = trailingslashit( $upload_dir ) . '/';
				$download_header_logo_path = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/custom-pdfs/';
	
				$fileNames = array_diff(scandir($download_header_logo_path), array( '.', '..' ));
				if (!empty($fileNames)) {
					foreach ($fileNames as $fileName) {
					$path = $wc_sc_file_path . $fileName;
						if (file_exists($path)) {
							wp_delete_file($path);
						}
					}
				}
	
				// ------------------upload using wp file system---------------------------------------------------
				$upload = wp_handle_upload( $_FILES['sc_ready_custom_pdf_field'], array( 'test_form' => false ) );
				if ( isset( $upload['file'] ) ) {
					$file_path = $upload['file'];
					$custom_folder = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/custom-pdfs/';
	
					$custom_file_path = $custom_folder . sanitize_text_field($_FILES['sc_ready_custom_pdf_field']['name']);
					if ( $wp_filesystem->copy( $file_path, $custom_file_path ) ) {
						update_option( 'sc_ready_custom_pdf_fiel', $file['name'] );
					}
				}
			}
		}
	} 
	public function sc_pdf_js_css_admin_scripts() {
		$current_screen = get_current_screen();
		if ('woocommerce_page_wc_sc_pdf_submenu_slug' !== $current_screen->id || 'woocommerce_page_wc_sc_pdf_submenu_slug' !== $current_screen->id ) {
			return;
		}
		$af_sc_pdf_js_path_admin  = AF_WC_SC_PDF_PLUGIN_URL . 'assets/js/af-woocommerce-store-catalog-pdf-admin.js';
		$af_sc_pdf_css_path_admin = AF_WC_SC_PDF_PLUGIN_URL . 'assets/css/af-woocommerce-store-catalog-pdf-admin.css';
		wp_enqueue_style( 'select2-css', plugins_url( 'assets/css/select2.css', WC_PLUGIN_FILE ), array(), '5.7.2' );
		wp_enqueue_script( 'select2-js', plugins_url( 'assets/js/select2/select2.min.js', WC_PLUGIN_FILE ), array( 'jquery' ), '4.0.3', true );
		// wp_enqueue_style( 'dcv-admin', DCV_URL . '/assest/css/metabox-styling.css', array(), '1.1' );.

		wp_enqueue_script( 'media-upload' );
		wp_enqueue_media();
		wp_enqueue_script( 'af_wc_sc_pdf_js_script', $af_sc_pdf_js_path_admin, array( 'jquery' ), '1.1.0', true );
		wp_enqueue_style( 'af_wc_sc_pdf_css_script', $af_sc_pdf_css_path_admin, '', '1.1.0', '', true );
		wp_localize_script( 
			'af_wc_sc_pdf_js_script',
			'af_wc_sc_pdf_ajax_data', 
			array( 
				'ajax_url' => admin_url( 'admin-ajax.php' ),
				'nonce'    => wp_create_nonce( 'af_wcsc_upload_files_nonce' ),
				'sample_pdf' => AF_WC_SC_PDF_PLUGIN_URL . '/uploads/filename.pdf',
			)
			
		);

		// for color picker.
		// wp_enqueue_style( 'wp-color-picker' );.
		// wp_enqueue_script( 'my-script-handle', plugins_url( 'my-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true );.
	}

	public function af_wc_sc_pdf_submenu() {
		add_submenu_page(
			'woocommerce',
			'Store Catalog',
			'Store Catalog',
			'manage_options',
			'wc_sc_pdf_submenu_slug',
			array( $this, 'af_wc_sc_pdf_submenu_callback_func' )
		);
	}

	public function af_wc_sc_pdf_submenu_callback_func() {
		$store_front_submenu_current_tab = 'general_settings';
		$current_page    = filter_input(INPUT_GET, 'tab', FILTER_SANITIZE_FULL_SPECIAL_CHARS);

		if ( isset( $current_page ) ) {
			$store_front_submenu_current_tab = sanitize_text_field( wp_unslash( $current_page ) );
		}
		if ( 'general_settings' == $store_front_submenu_current_tab ) {
			?>
			<form method="post" action="options.php" enctype="multipart/form-data">
				<?php
				settings_fields( 'wc_sc_general_setting_pdf' );
				do_settings_sections( 'af_wc_sc_general_settings_pdf' );
				submit_button( '', 'af_wc_sc_save_btn' );
				?>
			</form>
			<?php

		}
		if ( 'pdf_settings' == $store_front_submenu_current_tab ) {
			?>
			<form method="post" action="options.php">
				<?php
				settings_fields( 'wc_sc_custom_pdf' );
				do_settings_sections( 'af_wsc_pdf_setting' );
				submit_button( '', 'af_wc_sc_save_btn', 'pdf_settings_tab_btn' );
				?>
			</from>
			<?php
		}
	}

	public function af_wc_sc_pdf_generate_tabs() {
		$af_get_current_screen = get_current_screen();
		if ( $af_get_current_screen && in_array( $af_get_current_screen->id, $this->af_wc_sc_pdf_tabs_screen_ids(), true ) ) {
			$current_page    = filter_input(INPUT_GET, 'tab', FILTER_SANITIZE_FULL_SPECIAL_CHARS);
			$store_catalog_tabs = array(
				'general_settings' => array(
					'title' => __( 'General Settings', 'products-pdf-catalog' ),
					'url'   => admin_url( 'admin.php?page=wc_sc_pdf_submenu_slug&tab=general_settings' ),
				),
				'pdf_settings'     => array(
					'title' => __( 'PDF Settings', 'products-pdf-catalog' ),
					'url'   => admin_url( 'admin.php?page=wc_sc_pdf_submenu_slug&tab=pdf_settings' ),
				),
			);
			if ( is_array( $store_catalog_tabs ) ) {
				?>
					<div class="wrap woocommerce">
						<h2 class="nav-tab-wrapper woonav-tab-wrapper">
						<?php
							$store_catalog_current_tab = 'general_settings';

						if ( isset( $current_page ) ) {
							$store_catalog_current_tab = sanitize_text_field( wp_unslash( $current_page ) );
						}
							$store_catalog_current_tab = 'settings' == $this->af_wc_sc_pdf_current_tab_func() ? $store_catalog_current_tab : $this->af_wc_sc_pdf_current_tab_func();
						foreach ( $store_catalog_tabs as $id => $tab_data ) {
							$class = $id === $store_catalog_current_tab ? array( 'nav-tab', 'nav-tab-active' ) : array( 'nav-tab' );
							printf( '<a href="%1$s" class="%2$s">%3$s</a>', esc_url( $tab_data['url'] ), implode( ' ', array_map( 'sanitize_html_class', $class ) ), esc_html( $tab_data['title'] ) );
						}
						?>
						</h2>
					</div>
					<?php
			}
		}
	}
	public function af_wc_sc_pdf_tabs_screen_ids() {
		$tabs_screens_ids = array(
			'woocommerce_page_wc_sc_pdf_submenu_slug',
		);
		return $tabs_screens_ids;
	}
	public function af_wc_sc_pdf_current_tab_func() {
		$store_front_screen = get_current_screen();
		switch ( $store_front_screen->id ) {
			case 'woocommerce_page_wc_sc_pdf_submenu_slug':
				return 'settings';
		}
	}
}
new Af_Woocomerce_Store_Catalog_Pdf_Admin();
?>
