<?php
class Af_Woocommerce_Store_Catalog_Pdf_Settings_Tab {
	public function __construct() {
		add_action( 'admin_menu', array( $this, 'af_wc_sc_settings_section_callback' ) );
		require_once AF_WC_SC_PDF_PLUGIN_DIR . 'includes/af-woocommerce-store-catalog-general-functions.php';
	}

	public function af_wc_sc_settings_section_callback() {

		// custom layout settings.
		add_settings_section( 'sc_pdf_layout_settings_section', 'PDF Settings', '', 'af_wsc_pdf_setting' );

		add_settings_field( 'wc_sc_choose_template', 'Select Template', array( $this, 'wc_sc_choose_template_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_settings_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_choose_template' );

		add_settings_field( 'wc_sc_temp1_template', '', array( $this, 'wc_sc_temp1_template_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_settings_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_temp1_template' );

		add_settings_field( 'wc_sc_temp2_template', '', array( $this, 'wc_sc_temp2_template_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_settings_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_temp2_template' );


		add_settings_field( 'wc_sc_info_for_pdf', 'Show Data In PDF', array( $this, 'wc_sc_info_for_pdf_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_settings_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_info_for_pdf' );

		// add_settings_field( 'sc_wp_pdf_layout_generate_editor', 'Create custom layout', array( $this, 'sc_wp_pdf_layout_generate_editor_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_settings_section' );
		// register_setting( 'wc_sc_custom_pdf', 'sc_wp_pdf_layout_generate_editor' );.

		// header layout.
		add_settings_section( 'sc_pdf_layout_header_section', 'Header and Footer Settings', '', 'af_wsc_pdf_setting' );


		// add_settings_field( 'header_heading_pdf', 'Header Heading', array( $this, 'header_heading_pdf_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		// register_setting( 'wc_sc_custom_pdf', 'header_heading_pdf' );.

		add_settings_field( 'wc_sc_exclude_pdf_header', 'Enable Header', array( $this, 'wc_sc_exclude_pdf_header_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_exclude_pdf_header' );

		add_settings_field( 'wc_sc_header_logo', 'Header Logo', array( $this, 'wc_sc_header_logo_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_logo' );

		add_settings_field( 'wc_sc_header_logo_wh', 'Logo Size', array( $this, 'wc_sc_header_logo_wh_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_logo_wh' );

		add_settings_field( 'wc_sc_header_logo_position', 'Logo Position', array( $this, 'wc_sc_header_logo_position_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_logo_position' );

		
		add_settings_field( 'wc_sc_header_padding', 'Header Padding', array( $this, 'wc_sc_header_padding_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_padding' );


		add_settings_field( 'header_description_text', 'Header Description', array( $this, 'header_description_text_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'header_description_text' );

		add_settings_field( 'wc_sc_exclude_pdf_footer', 'Enable Footer', array( $this, 'wc_sc_exclude_pdf_footer_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_exclude_pdf_footer' );

		add_settings_field( 'wc_sc_footer_text', 'Footer Text', array( $this, 'wc_sc_footer_text_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_footer_text' );


		add_settings_field( 'wc_sc_header_footer_text_color', 'Header & Footer Text Color', array( $this, 'wc_sc_header_footer_text_color_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_footer_text_color' );

		add_settings_field( 'wc_sc_header_footer_bg_color', 'Header & Footer Background Color', array( $this, 'wc_sc_header_footer_bg_color_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_footer_bg_color' );

		add_settings_field( 'wc_sc_exclude_watermark', 'Enable Watermark', array( $this, 'wc_sc_exclude_watermark_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_exclude_watermark' );

		add_settings_field( 'wc_sc_watermark_text', 'Watermark Text', array( $this, 'wc_sc_wartermark_text_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_watermark_text' );

		// add_settings_field( 'wc_sc_header_background_color', 'Header Background Color', [$this, 'wc_sc_header_background_color_callback'], 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );.
		// register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_background_color' );.

		// add_settings_field( 'wc_sc_header_text_color', 'Header Text Color', [$this, 'wc_sc_header_text_color_callback'], 'af_wsc_pdf_setting', 'sc_pdf_layout_header_section' );.
		// register_setting( 'wc_sc_custom_pdf', 'wc_sc_header_text_color' );.

		// Footer section start.
		add_settings_section( 'sc_pdf_layout_footer_section', 'Front and Back Cover Page Settings', '', 'af_wsc_pdf_setting' );
		
		add_settings_field( 'wc_sc_exclude_front_cover', 'Enable Front Cover', array( $this, 'wc_sc_exclude_front_cover_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_footer_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_exclude_front_cover' );

		add_settings_field( 'wc_sc_front_cover_page', 'Front Cover Image', array( $this, 'wc_sc_front_cover_page_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_footer_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_front_cover_page' );

		add_settings_field( 'wc_sc_exclude_back_cover', 'Enable Back Cover', array( $this, 'wc_sc_exclude_back_cover_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_footer_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_sc_exclude_back_cover' );

		add_settings_field( 'wc_back_cover_image', 'Back Cover Image', array( $this, 'wc_back_cover_image_callback' ), 'af_wsc_pdf_setting', 'sc_pdf_layout_footer_section' );
		register_setting( 'wc_sc_custom_pdf', 'wc_back_cover_image' );
	}
	public function wc_sc_choose_template_callback() {

		$wc_sc_choose_template  = get_option( 'wc_sc_choose_template' );
		$wc_sc_choose_template = isset( $wc_sc_choose_template ) ? $wc_sc_choose_template : 'wc_sc_temp3';
		
		?>

		<div class="af_wcsc_error_upload notice-error notice" style="width:100%;height:50px;display:none; ">
			<p ><?php esc_html_e( 'select any file first', 'products-pdf-catalog' ); ?></p>
		</div>
		<div class="af_wcsc_success_upload notice-success notice" style="width:100%;height:50px;display:none; ">
			<p><?php esc_html_e( 'File uploaded successfully!', 'products-pdf-catalog' ); ?></p>
			
		</div>
		<label class="af_template_label_class">
			<input  type="radio" class="template_radio_class" name="wc_sc_choose_template" value="wc_sc_temp3" 
			<?php
			if ( 'wc_sc_temp3' == $wc_sc_choose_template ) {
				esc_html_e( 'checked', 'products-pdf-catalog' ); }
			?>
			/>
			<img class="template_icons_img" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp3.png" />
			<span>
				<a style="" href="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp3.png"><img style="width: 15px; height:20px; color:blue;" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/eye-solid.svg"></a>
				<img class="sample_pdf_btn" name="sample_temp3" style="width: 20px;height:20px;" src="<?php echo esc_url(AF_WC_SC_PDF_PLUGIN_URL . '/assets/images/sampe_pdf_view.svg'); ?>">
			</span>

		</label>
		<label class="af_template_label_class">
			<input type="radio" class="template_radio_class" name="wc_sc_choose_template" value="wc_sc_temp1" 
			<?php
			if ( 'wc_sc_temp1' == $wc_sc_choose_template || empty( $wc_sc_choose_template ) ) {
				esc_html_e( 'checked', 'products-pdf-catalog' ); }
			?>
			/>
			<img class="template_icons_img" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp1.png" />
			<span>
				<a style="" href="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp1.png"><img style="width: 15px; height:20px; color:blue;" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/eye-solid.svg"></a>
				<img class="sample_pdf_btn" name="sample_temp2" style="width: 20px;height:20px;" src="<?php echo esc_url(AF_WC_SC_PDF_PLUGIN_URL . '/assets/images/sampe_pdf_view.svg'); ?>">

			</span>
		</label>
		<label class="af_template_label_class">
			<input type="radio" class="template_radio_class" name="wc_sc_choose_template" value="wc_sc_temp2" 
			<?php
			if ( 'wc_sc_temp2' == $wc_sc_choose_template ) {
				esc_html_e( 'checked', 'products-pdf-catalog' ); }
			?>
			/>
			
		<img class="template_icons_img" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp2.png" />
		<span class="pdf_view_class_sample">
			<a class="" href="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/wcsc_temp2.png"><img style="width: 15px; height:20px; color:blue;" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/eye-solid.svg"></a>
			<img class="sample_pdf_btn" name="sample_temp1" style="width: 20px;height:20px;" src="<?php echo esc_url(AF_WC_SC_PDF_PLUGIN_URL . '/assets/images/sampe_pdf_view.svg'); ?>">
		</span>
		</label>	
		
		<?php
	}
	public function wc_sc_temp1_template_callback() {
		$wc_sc_temp1_template    = get_option( 'wc_sc_temp1_template' );

		$top_margin          = isset($wc_sc_temp1_template['top']) ? $wc_sc_temp1_template['top'] : 10;
		$right_margin        = isset($wc_sc_temp1_template['right']) ? $wc_sc_temp1_template['right'] : 10;
		$bottom_margin       = isset($wc_sc_temp1_template['bottom']) ? $wc_sc_temp1_template['bottom'] : 10;
		$left_margin         = isset($wc_sc_temp1_template['left']) ? $wc_sc_temp1_template['left'] : 10;
		
		$p1_color            = isset($wc_sc_temp1_template['p1_color']) ? $wc_sc_temp1_template['p1_color'] : 10;
		$p1_text_color       = isset($wc_sc_temp1_template['p1_text_color']) ? $wc_sc_temp1_template['p1_text_color'] : 10;

		$p2_color            = isset($wc_sc_temp1_template['p2_color']) ? $wc_sc_temp1_template['p2_color'] : 10;
		$p2_text_color       = isset($wc_sc_temp1_template['p2_text_color']) ? $wc_sc_temp1_template['p2_text_color'] : 10;

		$p3_color            = isset($wc_sc_temp1_template['p3_color']) ? $wc_sc_temp1_template['p3_color'] : 10;
		$p3_text_color       = isset($wc_sc_temp1_template['p3_text_color']) ? $wc_sc_temp1_template['p3_text_color'] : 10;

		?>
		<div id="wc_sc_temp1">
			<h2>Template 2</h2>
			<h4><?php esc_html_e('Product 1', 'products-pdf-catalog'); ?></h4>
			<label for=""><?php esc_html_e('Background Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color"  name="wc_sc_temp1_template[p1_color]" value="<?php echo esc_attr($p1_color); ?>">
			<label for=""><?php esc_html_e('Text Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color" name="wc_sc_temp1_template[p1_text_color]" value="<?php echo esc_attr($p1_text_color); ?>">

			<h4><?php esc_html_e('Product 2', 'products-pdf-catalog'); ?></h4>
			<label for=""><?php esc_html_e('Background Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color"  name="wc_sc_temp1_template[p2_color]" value="<?php echo esc_attr($p2_color); ?>">
			<label for=""><?php esc_html_e('Text Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color" name="wc_sc_temp1_template[p2_text_color]" value="<?php echo esc_attr($p2_text_color); ?>">

			<h4><?php esc_html_e('Product 3', 'products-pdf-catalog'); ?></h4>
			<label for=""><?php esc_html_e('Background Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color"  name="wc_sc_temp1_template[p3_color]" value="<?php echo esc_attr($p3_color); ?>">
			<label for=""><?php esc_html_e('Text Color: ', 'products-pdf-catalog'); ?></label>
			<input type="color" name="wc_sc_temp1_template[p3_text_color]" value="<?php echo esc_attr($p3_text_color); ?>">

			<h4><?php esc_html_e('Page Margin', 'products-pdf-catalog'); ?></h4>
			<label><?php esc_html_e('Top: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_temp1_template[top]" value="<?php echo esc_attr($top_margin); ?>">
			<label><?php esc_html_e('Right: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_temp1_template[right]" value="<?php echo esc_attr($right_margin); ?>">
			<label><?php esc_html_e('Bottom: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_temp1_template[bottom]" value="<?php echo esc_attr($bottom_margin); ?>" >
			<label><?php esc_html_e('Left: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_temp1_template[left]" value="<?php echo esc_attr($left_margin); ?>">
		</div>
		<br>
		<?php
	}
	public function wc_sc_temp2_template_callback() {
		
		$wc_sc_temp2_template = get_option('wc_sc_temp2_template');
		$btn_text_color = isset($wc_sc_temp2_template['text_color']) ? $wc_sc_temp2_template['text_color'] : 'white';
		$btn_bg_color   = isset($wc_sc_temp2_template['bg_color']) ? $wc_sc_temp2_template['bg_color'] : 'black';
		?>
		<div id="wc_sc_temp2">
			<h2>Template 3</h2>
			<div>
				<label><?php esc_html_e('Button text color: ', 'products-pdf-catalog'); ?></label>
				<input style="margin-left: 49px;" type="color" name="wc_sc_temp2_template[text_color]" value="<?php echo esc_attr($btn_text_color); ?>">
			</div>
			<div style="margin-top:10px;">
				<label><?php esc_html_e('Button background color: ', 'products-pdf-catalog'); ?></label>
				<input type="color" name="wc_sc_temp2_template[bg_color]" value="<?php echo esc_attr($btn_bg_color); ?>">
			</div>
		</div>
		<br>
		<?php
	}
	public function wc_sc_info_for_pdf_callback() {
		$wc_sc_info_for_pdf = (array) get_option( 'wc_sc_info_for_pdf' );
		?>
		<label><?php esc_html_e( 'Titles', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[title]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['title'] ) && '1' == $wc_sc_info_for_pdf['title'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
			/>
		<label><?php esc_html_e( 'Images', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[image]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['image'] ) && '1' == $wc_sc_info_for_pdf['image'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<label><?php esc_html_e( 'Description', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[Description]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['Description'] ) && '1' == $wc_sc_info_for_pdf['Description'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<label><?php esc_html_e( 'Price', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[price]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['price'] ) && '1' == $wc_sc_info_for_pdf['price'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<label><?php esc_html_e( 'Categories', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[Categories]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['Categories'] ) && '1' == $wc_sc_info_for_pdf['Categories'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<label><?php esc_html_e( 'Skus', 'products-pdf-catalog' ); ?></label>
		<input type="checkbox" name="wc_sc_info_for_pdf[skus]" value="1" 
		<?php
		if ( isset( $wc_sc_info_for_pdf['skus'] ) && '1' == $wc_sc_info_for_pdf['skus'] ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<?php
	}

	public function sc_wp_pdf_layout_generate_editor_callback() {
		$sc_wp_pdf_layout_generate_editor = get_option( 'sc_wp_pdf_layout_generate_editor' );
		?>
		<div id="ssss">
		<?php
		wp_editor(
			$sc_wp_pdf_layout_generate_editor,
			'sc_wp_pdf_layout_generate_editor',
			array(
				'textarea_name' => 'sc_wp_pdf_layout_generate_editor',
				'media_buttons' => true,
				'tinymce'       => true,
				'wpautop'       => true,
				'quicktags'     => false,
			)
		);
		?>
		</div>
		<?php
	}
	public function wc_sc_header_logo_wh_callback() {
		$wc_sc_header_logo_wh = (array) get_option( 'wc_sc_header_logo_wh' );
		$width                = ! empty( $wc_sc_header_logo_wh['width'] ) ? $wc_sc_header_logo_wh['width'] : 50;
		$height               = ! empty( $wc_sc_header_logo_wh['height'] ) ? $wc_sc_header_logo_wh['height'] : 50;
		?>

	<div class="hide-header-section">
		<label><?php esc_html_e( 'Width: px', 'products-pdf-catalog' ); ?></label>
			<input id="wcsc_logo_width" type="number" name="wc_sc_header_logo_wh[width]" min="10" max="50" required value="<?php echo esc_attr( $width ); ?>"/>
		<label><?php esc_html_e( 'x Height: px', 'products-pdf-catalog' ); ?></label>
			<input id="wcsc_logo_height" type="number" name="wc_sc_header_logo_wh[height]" min="10" max="50" required value="<?php echo esc_attr( $height ); ?>"/>
	</div>
		<?php
	}
	public function wc_sc_header_logo_position_callback() {
		$wc_sc_header_logo_position = get_option( 'wc_sc_header_logo_position' );
		?>
		<div class="hide-header-section">
			<label>
			<input type="radio" class="sc_logo_position_radio_class" name="wc_sc_header_logo_position" value="left"  
			<?php
			if ( 'left' == $wc_sc_header_logo_position ) {
				esc_html_e( 'checked', 'products-pdf-catalog' ); }
			?>
			/>
			<img class="logo_pos_icons_img" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/align-left.png" />
		</label>
		<label>
			<input type="radio" class="sc_logo_position_radio_class" name="wc_sc_header_logo_position" value="right"  
			<?php
			if ( 'right' == $wc_sc_header_logo_position ) {
				esc_html_e( 'checked', 'products-pdf-catalog' ); }
			?>
			/>
			<img class="logo_pos_icons_img" src="<?php echo esc_attr( AF_WC_SC_PDF_PLUGIN_URL ); ?>assets/images/align-right.png" />
		</label>
		</div>
		<?php
	}
	public function wc_sc_header_padding_callback() {
		$wc_sc_header_padding = get_option( 'wc_sc_header_padding' );
		$top_padding          = isset($wc_sc_header_padding['top']) ? $wc_sc_header_padding['top'] : 10;
		$right_padding        = isset($wc_sc_header_padding['right']) ? $wc_sc_header_padding['right'] : 10;
		$bottom_padding       = isset($wc_sc_header_padding['bottom']) ? $wc_sc_header_padding['bottom'] : 10;
		$left_padding         = isset($wc_sc_header_padding['left']) ? $wc_sc_header_padding['left'] : 10;
		
		?>
		<div class="hide-header-section">
			<label><?php esc_html_e('Top: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_header_padding[top]" value="<?php echo esc_attr($top_padding); ?>">
			<label><?php esc_html_e('Right: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_header_padding[right]" value="<?php echo esc_attr($right_padding); ?>">
			<label><?php esc_html_e('Bottom: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_header_padding[bottom]" value="<?php echo esc_attr($bottom_padding); ?>" >
			<label><?php esc_html_e('Left: ', 'products-pdf-catalog'); ?></label>
			<input class="af_wcsc_header_padding" type="number" min="0" required name="wc_sc_header_padding[left]" value="<?php echo esc_attr($left_padding); ?>">
		</div>
		<?php
	}
	public function wc_sc_exclude_watermark_callback() {
	$wc_sc_exclude_watermark = get_option( 'wc_sc_exclude_watermark' );
		?>
		<input type="checkbox" name="wc_sc_exclude_watermark" value="1" 
		<?php
		if ( '1' == $wc_sc_exclude_watermark ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
	<?php
	}
	public function wc_sc_header_footer_text_color_callback() {
		$wc_sc_h_f_text_color   = get_option( 'wc_sc_header_footer_text_color' );
		?>
		<input type="color" name="wc_sc_header_footer_text_color" value="<?php echo esc_Attr($wc_sc_h_f_text_color); ?>">
		<?php
	}
	public function wc_sc_header_footer_bg_color_callback() {
		$wc_sc_bg_color     = get_option( 'wc_sc_header_footer_bg_color' );
		?>
		<input type="color" name="wc_sc_header_footer_bg_color" value="<?php echo esc_Attr($wc_sc_bg_color); ?>">
		<?php
	}
	public function wc_sc_wartermark_text_callback() {
		$wc_sc_watermark_text = (array) get_option( 'wc_sc_watermark_text' );
		$watermark_text       = ! empty( $wc_sc_watermark_text['watermark_text'] ) ? $wc_sc_watermark_text['watermark_text'] : '';
		$af_logo_as_watermark = isset( $wc_sc_watermark_text['logo_watermark_check'] ) ? $wc_sc_watermark_text['logo_watermark_check'] : '0';

		?>
		<div class="hide-watermark-settings ">
			<input class="hide-watermark-text" type="text" placeholder="watermark text here..." class="watermark" name="wc_sc_watermark_text[watermark_text]" value="<?php echo esc_attr( $watermark_text ); ?>">
			<i><?php esc_html_e( 'Use logo As Watermark:', 'products-pdf-catalog' ); ?></i>
			<input type="checkbox" class="watermark_check" name="wc_sc_watermark_text[logo_watermark_check]" value="1"<?php echo checked($af_logo_as_watermark, '1'); ?>>
		</div>
		<?php
	}
	public function wc_sc_front_cover_page_callback() {
		$wc_sc_front_cover_page = get_option( 'wc_sc_front_cover_page' );
		?>
		<div class="hide-header-section" id='wc_sc_front_cover-main'>
		<div >
		<img id="wc_sc_front_cover_page" src="<?php echo esc_url( $wc_sc_front_cover_page ); ?>" height="200" />
		</div>
		<input type="hidden" value="<?php echo esc_url( $wc_sc_front_cover_page ); ?>" name="wc_sc_front_cover_page" id="wcsc_front_template_icon">
		<input type="button" name="wc_sc_front_cover_page" id="upload-front-image-btn" class="button-secondary" value="<?php echo esc_html__( 'Upload Image', 'products-pdf-catalog' ); ?>">
		<input type="button" name="wc_sc_front_cover_page" id="remove_front_image_upload" style="height: 30px;" value="<?php echo esc_html__( 'Remove Image', 'products-pdf-catalog' ); ?>" >
		</div>
		<?php
	}
	public function wc_sc_exclude_front_cover_callback() {
		$wc_sc_exclude_front_cover = get_option( 'wc_sc_exclude_front_cover' );
		?>
		<input type="checkbox" name="wc_sc_exclude_front_cover" value="1" 
		<?php
		if ( '1' == $wc_sc_exclude_front_cover ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<?php
	}
	// Hdeader fields callbacks.
	public function header_heading_pdf_callback() {
		$header_heading_pdf = get_option( 'header_heading_pdf' );
		$header_heading     = isset( $header_heading_pdf ) ? $header_heading_pdf : 'company name here....';
		?>
			<input type="text" name="header_heading_pdf" value="<?php echo esc_attr( $header_heading ); ?>" >
		<?php
	}
	public function header_description_text_callback() {
		$header_description_text = get_option( 'header_description_text' );
		$header_description      = isset( $header_description_text ) ? $header_description_text : 'Description here....';
		?>
		<div class="hide-header-section">
			<textarea rows="5" cols="80" name="header_description_text" placeholder="<?php esc_html_e( 'you can write upto 200 character...', 'products-pdf-catalog' ); ?>" maxlength="87"><?php echo esc_attr( $header_description_text ); ?></textarea>
			<span class="af_wcsc-tooltip" data-tooltip="<?php echo esc_html__( 'you can write upto 200 character...', 'products-pdf-catalog' ); ?>">
			<span class="af_wcsc-tooltip-trigger">?</span>
		</div>
		<?php
	}

	public function wc_sc_header_logo_callback() {
		$image = get_option( 'wc_sc_header_logo' );
		?>
		<div class="hide-header-section" id='wc_sc_header_logo-main'>
		<div >
		<img id="wc_sc_header_logo" src="<?php echo esc_url( $image ); ?>" width="50" />
		</div>
		<input type="hidden" value="<?php echo esc_url( $image ); ?>" name="wc_sc_header_logo" id="afwsp_template_icon">
		<input type="button" name="wc_sc_header_logo" id="upload-image-btn" class="button-secondary" value="<?php echo esc_html__( 'Upload Image', 'products-pdf-catalog' ); ?>">
		<input type="button" name="wc_sc_header_logo" id="remove_image_upload" style="height: 30px;" value="<?php echo esc_html__( 'Remove Image', 'products-pdf-catalog' ); ?>" >
		</div>
		<?php
	}
	public function wc_sc_header_background_color_callback() {
		$wc_sc_header_background_color = get_option( 'wc_sc_header_background_color' );
		?>
			<input type="text" value="<?php echo esc_attr( $wc_sc_header_background_color ); ?>" name="wc_sc_header_background_color" class="my-color-field" data-default-color="#effeff" />
		<?php
	}
	public function wc_sc_header_text_color_callback() {
		$wc_sc_header_text_color = get_option( 'wc_sc_header_text_color' );
		?>
			<input type="text" value="<?php echo esc_attr( $wc_sc_header_text_color ); ?>" name="wc_sc_header_text_color" class="my-color-field" data-default-color="#effeff" />
		<?php
	}
	public function wc_sc_exclude_back_cover_callback() {
		$wc_sc_exclude_back_cover = get_option( 'wc_sc_exclude_back_cover' );
		?>
		<input type="checkbox" name="wc_sc_exclude_back_cover" value="1" 
		<?php
		if ( '1' == $wc_sc_exclude_back_cover ) {
			esc_html_e( 'checked' , 'products-pdf-catalog'); }
		?>
		/>
		<?php
	}
	// Footer fileds callback.
	public function wc_back_cover_image_callback() {
		$wc_back_cover_image = get_option( 'wc_back_cover_image' );
		?>
		<div class="hide-header-section" id='wc_sc_back_cover-main'>
		<div >
		<img id="wc_back_cover_image" src="<?php echo esc_url( $wc_back_cover_image ); ?>" height="200" />
		</div>
		<input type="hidden" value="<?php echo esc_url( $wc_back_cover_image ); ?>" name="wc_back_cover_image" id="wcsc_back_template_icon">
		<input type="button" name="wc_back_cover_image" id="upload-back-image-btn" class="button-secondary" value="<?php echo esc_html__( 'Upload Image', 'products-pdf-catalog' ); ?>">
		<input type="button" name="wc_back_cover_image" id="remove_back_image_upload" style="height: 30px;" value="<?php echo esc_html__( 'Remove Image', 'products-pdf-catalog' ); ?>" >
		</div>
		<?php
	}
	public function wc_sc_footer_text_callback() {
		$wc_sc_footer_text = get_option( 'wc_sc_footer_text' );
		?>
		<textarea rows="4" cols="80" name="wc_sc_footer_text" class="hide-footer-section wc_sc_footer_text" placeholder="<?php esc_html_e( 'you can write upto 100 character..', 'products-pdf-catalog' ); ?> " maxlength="80"><?php echo esc_attr( $wc_sc_footer_text ); ?></textarea>
		<span class="af_wcsc-tooltip" data-tooltip="<?php echo esc_html__( 'you can write upto 100 character', 'products-pdf-catalog' ); ?>">
		<span class="af_wcsc-tooltip-trigger">?</span>
		<?php
	}

	public function wc_sc_exclude_pdf_header_callback() {
		$wc_sc_exclude_pdf_header = get_option( 'wc_sc_exclude_pdf_header' );
		?>
		<input type="checkbox" name="wc_sc_exclude_pdf_header" value="1" 
		<?php
		if ( '1' == $wc_sc_exclude_pdf_header ) {
			esc_html_e( 'checked', 'products-pdf-catalog' ); }
		?>
		/>
		<?php
	}
	public function wc_sc_exclude_pdf_footer_callback() {
		$wc_sc_exclude_pdf_footer = get_option( 'wc_sc_exclude_pdf_footer' );
		?>
		<input type="checkbox" name="wc_sc_exclude_pdf_footer" value="1" 
		<?php
		if ( '1' == $wc_sc_exclude_pdf_footer ) {
			esc_html_e( 'checked' , 'products-pdf-catalog'); }
		?>
		/>
		<?php
	}
}
new Af_Woocommerce_Store_Catalog_Pdf_Settings_Tab();
?>
