<?php
ob_start();
require_once AF_WC_SC_PDF_PLUGIN_DIR . '/vendor/autoload.php';

function create_template_for_pdf( array $product_id, $func_type, $page_type = '', $choose_temp = '' ) {

	if ('sample_page'==$page_type) {
		$product_id = some_product_ids_for_sample();
	}
	$af_current_user = is_user_logged_in() ? current( wp_get_current_user()->roles ) : 'guest';
	$company_name              = get_option( 'header_heading_pdf' );
	$company_des               = get_option( 'header_description_text' );
	$wc_sc_footer_text         = get_option( 'wc_sc_footer_text' );
	$wc_sc_exclude_front_cover = get_option( 'wc_sc_exclude_front_cover' );
	$wc_sc_exclude_back_cover  = get_option( 'wc_sc_exclude_back_cover' );
	$wc_sc_header_logo_position = get_option( 'wc_sc_header_logo_position' );
	$wc_sc_header_head_position = get_option( 'wc_sc_header_heading_position' );
	$wc_sc_header_logo_wh       = (array) get_option( 'wc_sc_header_logo_wh' );
	$wc_sc_info_for_pdf         = get_option( 'wc_sc_info_for_pdf' );
	$wc_sc_choose_template      = get_option( 'wc_sc_choose_template' );

	if (!empty($choose_temp)) {
		$wc_sc_choose_template = $choose_temp;
	}

	$af_wcsc_logo_width         = isset( $wc_sc_header_logo_wh['width'] ) ? $wc_sc_header_logo_wh['width'] : '100';
	$af_wcsc_logo_height        = isset( $wc_sc_header_logo_wh['height'] ) ? $wc_sc_header_logo_wh['height'] : '100';
	$wc_sc_select_font          = get_option('wc_sc_select_font');

	$wc_sc_temp1_template = get_option( 'wc_sc_temp1_template' );
	$p1_color            = isset($wc_sc_temp1_template['p1_color']) ? $wc_sc_temp1_template['p1_color'] : 10;
	$p1_text_color       = isset($wc_sc_temp1_template['p1_text_color']) ? $wc_sc_temp1_template['p1_text_color'] : 10;
	$p2_color            = isset($wc_sc_temp1_template['p2_color']) ? $wc_sc_temp1_template['p2_color'] : 10;
	$p2_text_color       = isset($wc_sc_temp1_template['p2_text_color']) ? $wc_sc_temp1_template['p2_text_color'] : 10;
	$p3_color            = isset($wc_sc_temp1_template['p3_color']) ? $wc_sc_temp1_template['p3_color'] : 10;
	$p3_text_color       = isset($wc_sc_temp1_template['p3_text_color']) ? $wc_sc_temp1_template['p3_text_color'] : 10;

	$wc_sc_temp2_template = get_option('wc_sc_temp2_template');
	$btn_text_color = isset($wc_sc_temp2_template['text_color']) ? $wc_sc_temp2_template['text_color'] : 'white';
	$btn_bg_color   = isset($wc_sc_temp2_template['bg_color']) ? $wc_sc_temp2_template['bg_color'] : 'black';

	$is_title_en       = '';
	$is_image_en       = '';
	$is_description_en = '';
	$is_price_en       = '';
	$is_categories_en  = '';
	$is_skus_en        = '';
	
	
	if ( ! isset( $wc_sc_info_for_pdf['title'] ) ) {
		$is_title_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_info_for_pdf['image'] ) ) {
		$is_image_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_info_for_pdf['Description'] ) ) {
		$is_description_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_info_for_pdf['price'] ) ) {
		$is_price_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_info_for_pdf['Categories'] ) ) {
		$is_categories_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_info_for_pdf['skus'] ) ) {
		$is_skus_en = 'display:none;';
	}
	if ( ! isset( $wc_sc_exclude_pdf_header ) || empty( $wc_sc_exclude_pdf_header ) ) {
		$is_header_en = 'display:none;';
	}
	ob_get_clean();
	$complete_pdf_template = '';
	ob_start();

	// for sample PDF.
	if ('sample_page' == $page_type && 'sample_temp3' == $func_type) {
			include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/classic-template/af-wcsc-classic-temp.php';

	} elseif ( 'sample_page' == $page_type && 'sample_temp2' == $func_type) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/two-tone-temp/af-wcsc-two-tone.php';

	} elseif ( 'sample_page' == $page_type && 'sample_temp1' == $func_type) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . 'templates/mini-cards/af-wcsc-mini-card.php';
	}

	if ( 'wc_sc_temp1' == $wc_sc_choose_template  && 'shop_page' !== $page_type) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/two-tone-temp/af-wcsc-two-tone.php';

	} elseif ( 'wc_sc_temp1' == $wc_sc_choose_template && 'shop_page' == $page_type ) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/two-tone-temp/af-wcsc-two-tone-entire-catalog.php';

	} elseif ( 'wc_sc_temp2' == $wc_sc_choose_template && 'shop_page' !== $page_type) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . 'templates/mini-cards/af-wcsc-mini-card.php';

	} elseif ( 'wc_sc_temp2' == $wc_sc_choose_template && 'shop_page' == $page_type ) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . 'templates/mini-cards/af-wcsc-mini-card-entire.php';

	} elseif ( 'wc_sc_temp3' == $wc_sc_choose_template && 'shop_page' !== $page_type ) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/classic-template/af-wcsc-classic-temp.php';
	} elseif ( 'wc_sc_temp3' == $wc_sc_choose_template && 'shop_page' == $page_type ) {
		include_once AF_WC_SC_PDF_PLUGIN_DIR . '/templates/classic-template/af-wcsc-classic-entire-catalog.php';
	}

	$complete_pdf_template = ob_get_clean();
	generate_pdf_of_template( $complete_pdf_template, $func_type, $page_type , $wc_sc_choose_template);
}

function generate_pdf_of_template( $template1, $func_type, $page_type, $wc_sc_choose_template ) {

	$top_margin          = 30; //30
	$right_margin        = 10; //10
	$bottom_margin       = 20; //20
	$left_margin         = 10; //10

	if (( !empty($wc_sc_choose_template) && 'wc_sc_temp1' == $wc_sc_choose_template ) || ( 'sample_page' == $page_type && 'sample_temp2' == $wc_sc_choose_template ) ) {

		$wc_sc_temp1_template= get_option( 'wc_sc_temp1_template' );
		$top_margin          = isset($wc_sc_temp1_template['top']) ? $wc_sc_temp1_template['top'] : 10;
		$right_margin        = isset($wc_sc_temp1_template['right']) ? $wc_sc_temp1_template['right'] : 10;
		$bottom_margin       = isset($wc_sc_temp1_template['bottom']) ? $wc_sc_temp1_template['bottom'] : 10;
		$left_margin         = isset($wc_sc_temp1_template['left']) ? $wc_sc_temp1_template['left'] : 10;

		$p1_color            = isset($wc_sc_temp1_template['p1_color']) ? $wc_sc_temp1_template['p1_color'] : 'black';
		$p1_text_color       = isset($wc_sc_temp1_template['p1_text_color']) ? $wc_sc_temp1_template['p1_text_color'] : 'white';
		$p2_color            = isset($wc_sc_temp1_template['p2_color']) ? $wc_sc_temp1_template['p2_color'] : 'black';
		$p2_text_color       = isset($wc_sc_temp1_template['p2_text_color']) ? $wc_sc_temp1_template['p2_text_color'] : 'white';
		$p3_color            = isset($wc_sc_temp1_template['p3_color']) ? $wc_sc_temp1_template['p3_color'] : 'black';
		$p3_text_color       = isset($wc_sc_temp1_template['p3_text_color']) ? $wc_sc_temp1_template['p3_text_color'] : 'white';
	}

	$download_name = 'pdf';
	if ('category_page'== $page_type) {
		$download_name = 'category';

	} elseif ('shop_page'==$page_type) {
		$download_name = 'shop';

	} elseif ('tag_page'==$page_type) {
		$download_name = 'tag';

	} else {
		$download_name = 'product';
	}

	// header.
	$html_header = af_wcsc_header();
	$header_on_covers = '';

	if (get_option('wc_sc_enb_header_on_covers')) {
		$header_on_covers = af_wcsc_header();
	}

	// footer.
	$html_footer      = af_wcsc_footer();
	$footer_on_covers = '';

	if (get_option('wc_sc_enb_footer_on_covers')) {
		$footer_on_covers = af_wcsc_footer();
	}

	$watermark     = af_wcsc_water_mark();
	$defaultConfig = ( new \Mpdf\Config\ConfigVariables() )->getDefaults();
	$fontDirs      = $defaultConfig['fontDir'];

	$defaultFontConfig = ( new \Mpdf\Config\FontVariables() )->getDefaults();
	$fontData          = $defaultFontConfig['fontdata'];

	$mpdf              = new \Mpdf\Mpdf(array(
		'fontDir' => array_merge($fontDirs, array(
			__DIR__ . '/custom/font/directory',
		)),

		'freemono' => $fontData + array( 
			'FreeMono' => array(
				'R' => 'FreeMono.ttf',
				'I' => 'FreeMono-Normal.ttf',
				'B' => 'FreeMonoBold.ttf',
			),
		),
		'dejavusansmono' => $fontData + array( 
			'DejaVuSansMono' => array(
				'R' => 'DejaVuSansMono.ttf',
				'I' => 'DejaVuSansMono.ttf',
				'B' => 'DejaVuSerif-Bold',
			),
		),
		
		'tempDir' => __DIR__ . '/tmp',
		// 'default_font' => 'freemono',
		'margin_left' => $left_margin,  // 20mm left margin
		'margin_right' =>$right_margin,
		'margin_top' => $top_margin,
		'margin_bottom' =>$bottom_margin,
	)
);
	$mpdf->dpi = 72; // Default is 96
	$mpdf->SetCompression(true);
	$padding = 0;
	$x = $padding;
	$y = $padding;

	$width  = 210 - 2 * $padding;
	$height = 297 - 2 * $padding;
	$mpdf->SetHTMLHeader($header_on_covers);
	$mpdf->SetHTMLFooter($footer_on_covers);

	if (get_option( 'wc_sc_exclude_front_cover' )) {
		$mpdf->AddPage();
		$mpdf->Image( esc_url(get_option('wc_sc_front_cover_page')), $x, $y, $width, $height, 'jpg', '', true, false);
	}

	// Set the new Header before you AddPage.
	$mpdf->SetHTMLHeader($html_header);
	// $mpdf->AddPage();
	$mpdf->AddPage('', '', '1');
	$mpdf->SetHTMLFooter($html_footer);
	if (!empty($watermark) && 'text'==$watermark[0]) {
		$mpdf->SetWatermarkText($watermark[1]);
		$mpdf->showWatermarkText = true;

	} elseif ( !empty($watermark) && 'image'==$watermark[0] ) {
		$mpdf->SetWatermarkImage($watermark[1]);
		$mpdf->showWatermarkImage = true;
	}
	// <div style="width:794px;height:1123px;background-color:green;"><div>
	$mpdf->WriteHTML($template1);
	$mpdf->SetHTMLHeader($header_on_covers);
	$mpdf->SetHTMLFooter($html_footer);
	
	
	if (get_option('wc_sc_exclude_back_cover')) {
		$mpdf->AddPage();
		$mpdf->SetWatermarkText('');
		$mpdf->SetWatermarkImage('');
		$mpdf->Image(esc_url(get_option('wc_back_cover_image')), $x, $y, $width, $height, 'jpg', '', true, false);
	}

	$mpdf->SetHTMLFooter($footer_on_covers);
	ob_get_clean();

	if ('sample_page' == $page_type ) {
	$file_path = AF_WC_SC_PDF_PLUGIN_DIR . '/uploads/filename.pdf';
	$mpdf->Output($file_path, \Mpdf\Output\Destination::FILE);

	} elseif ('download' == $func_type) {
		$file_path = AF_WC_SC_PDF_PLUGIN_DIR . '/uploads/downloads-for-email/Brochure.pdf';
		$mpdf->Output($file_path, \Mpdf\Output\Destination::FILE);
	} else {
		$mpdf->Output(get_bloginfo('name') . '-' . $download_name, 'I');
	}
}

function get_files_names_form_folder( $wc_sc_folder_name ) {
	$wc_sc_files = scandir( AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/' );

	foreach ( $wc_sc_files as $wc_sc_file ) {
		$wc_sc_file_path = AF_WC_SC_PDF_PLUGIN_DIR . 'uploads/' . $wc_sc_file;
		if ( is_file( $wc_sc_file_path ) ) {
			$basename   = basename( $wc_sc_file_path );
			$image_path = AF_WC_SC_PDF_PLUGIN_URL . 'uploads/' . $basename;
		} else {
			$image_path ='';
		}
	}
	return $image_path;
}
function af_wcsc_header() {
	ob_start();
	$header_description_text    = get_option( 'header_description_text' );
	$wc_sc_header_logo_position = get_option( 'wc_sc_header_logo_position' );
	$wc_sc_header_head_position = get_option( 'wc_sc_header_heading_position' );
	$wc_sc_header_logo_wh       = (array) get_option( 'wc_sc_header_logo_wh' );
	$af_wcsc_logo_width         = isset( $wc_sc_header_logo_wh['width'] ) ? $wc_sc_header_logo_wh['width'] : '100';
	$af_wcsc_logo_height        = isset( $wc_sc_header_logo_wh['height'] ) ? $wc_sc_header_logo_wh['height'] : '100';
	$header_logo_Set            = get_option('wc_sc_header_logo');
	$wc_sc_exclude_pdf_header   = get_option( 'wc_sc_exclude_pdf_header' );

	$wc_sc_header_footer_text_color = get_option( 'wc_sc_header_footer_text_color' );
	$wc_sc_header_footer_bg_color   = get_option( 'wc_sc_header_footer_bg_color' );
	$wc_sc_select_font              = get_option( 'wc_sc_select_font' );
	$wc_sc_header_padding           = get_option( 'wc_sc_header_padding' );

	$top_padding    = isset($wc_sc_header_padding['top']) ? $wc_sc_header_padding['top'] : 0; 
	$right_padding  = isset($wc_sc_header_padding['right']) ? (int) $wc_sc_header_padding['right']+ 30 : 30;
	$bottom_padding = isset($wc_sc_header_padding['bottom']) ? $wc_sc_header_padding['bottom'] : 0;
	$left_padding   = isset($wc_sc_header_padding['left']) ? $wc_sc_header_padding['left'] : 0;
	$wc_sc_header_padding = $top_padding . 'px ' . $right_padding . 'px ' . $bottom_padding . 'px ' . $left_padding . 'px ';

	$header_html = '';

	if ( $wc_sc_exclude_pdf_header && !empty($header_logo_Set)) {
		?>
		<div style="top:0;width:100%;background-color:<?php echo esc_attr($wc_sc_header_footer_bg_color); ?>color:<?php echo esc_attr($wc_sc_header_footer_text_color); ?>;" class="set-html-header">
			<table style="padding:<?php echo esc_attr($wc_sc_header_padding); ?>;font-family:<?php echo esc_attr($wc_sc_select_font); ?>;color:<?php echo esc_attr($wc_sc_header_footer_text_color); ?>;" class="set-html-header">
				<tr>
					<?php
					if ('right' == $wc_sc_header_logo_position) {
						?>
						<td><?php echo esc_attr($header_description_text); ?></td>
						<td style="width:auto;">
							<img style="width:<?php echo esc_attr($af_wcsc_logo_width); ?>px;height:<?php echo esc_attr($af_wcsc_logo_height); ?>px;float:<?php echo esc_attr($wc_sc_header_logo_position); ?>;" src="<?php echo esc_url(get_option( 'wc_sc_header_logo' )); ?>" />
						</td>
						<?php
					} else {
						?>
						<td style="width:auto;">
							<img style="width:<?php echo esc_attr($af_wcsc_logo_width); ?>px;height:<?php echo esc_attr($af_wcsc_logo_height); ?>px;float:<?php echo esc_attr($wc_sc_header_logo_position); ?>;" src="<?php echo esc_url(get_option( 'wc_sc_header_logo' )); ?>" />
						</td>
						<td><?php echo esc_attr($header_description_text); ?></td>
						<?php
					}
					?>


				</tr>
			</table>
		</div>
		<?php 

	}
	$header_html = ob_get_clean();
	return $header_html;
}
function af_wcsc_footer() {

	$wc_sc_exclude_pdf_footer       = get_option( 'wc_sc_exclude_pdf_footer' );
	$wc_sc_header_footer_text_color = get_option( 'wc_sc_header_footer_text_color' );
	$wc_sc_header_footer_bg_color   = get_option( 'wc_sc_header_footer_bg_color' );

	ob_start();

	$footer_html = '';
	if ( $wc_sc_exclude_pdf_footer) {
		?>
		<div style="height:30px;background-color:<?php echo esc_attr($wc_sc_header_footer_bg_color); ?>;" class="set-html-footer">
			<table width="100%" style="font-family:garuda;margin:10px;font-size:30px;color:<?php echo esc_attr($wc_sc_header_footer_text_color); ?>">
				<tr>
					<td style="" width="70%" text-align="left"><?php echo esc_attr(get_option('wc_sc_footer_text')); ?></td>
					<td class="wcsc_footer-color" width="20%" style="text-align: right;"><span style="color:<?php echo esc_attr($wc_sc_header_footer_text_color); ?>">Page {PAGENO} of {nbpg}</span></td>
				</tr>
			</table>
		</div>
		<?php
	}
	
	$footer_html = ob_get_clean();
	return $footer_html;
}
function af_wcsc_water_mark() {

	$wc_sc_watermark_text      = (array) get_option( 'wc_sc_watermark_text' );
	$watermark_text_check      = $wc_sc_watermark_text['watermark_text'];
	$watermark_img_check       = isset($wc_sc_watermark_text['logo_watermark_check']) ? $wc_sc_watermark_text['logo_watermark_check'] : '';

	$watermark_img             = get_option('wc_sc_header_logo');
	$wc_sc_exclude_watermark   = get_option( 'wc_sc_exclude_watermark' );
	$watermark =array();

	if (!$wc_sc_exclude_watermark) {
		return;
	}
	if (!empty($watermark_img_check) && !empty($watermark_img)) {
		$watermark = array( 'image', $watermark_img );

	} elseif (isset($watermark_text_check) && !empty($watermark_text_check)) {
		$watermark = array( 'text', $watermark_text_check );
	}
	return $watermark;
}
function some_product_ids_for_sample() {
	$args = array(
		'limit' => 5,
		'return' => 'ids', 
		'status' => 'publish',
	);
	
	$query = new WC_Product_Query($args);
	$product_ids = $query->get_products();
	return $product_ids;
}