
<?php 
if ( ! defined( 'ABSPATH' ) ) {
	exit; 
}

?>
<html>
	<head>
		<style>

.set-html-footer{
	position:absolute;

	width:100%;
	padding:7px 0;
	margin: 0px;
	box-sizing: border-box;
	left:0;

	right:0;
	bottom: 0px;
	text-align:center;
	color:white;
	font-size: 20px;
	
}
.set-html-header{
	position:absolute;
	width:100%;
	margin: 0px;
	left:0;
	right:0;

	color:white;
}
#af-wcsc-clc-img,
#af-wcsc-clc-content{
	display: table-cell;
	margin-bottom: 10px;
}
#af-wcsc-clc-img{
	width: 30%;
}
#af-wcsc-clc-content{
	width: 60%;
}
#af-wcsc-clc{
	height: 500px;

}
.my_class-1{
	height: 250px;
}
#af-wcsc-clc-img img{
	width: 100%;
	border-radius: 50%!important;
}

#af-wcsc-clc-content p{
	margin: 0!important;
	font-size: 12px;
	line-height:19px;
	margin-top: 5px;
}
#af-wcsc-clc-content #wc_sc_des{
	margin-bottom: 10px;
	font-size: 12px !important;
	margin:10px 0px;
}
#af-wcsc-clc-content h2{
	margin-top: 10px !important;
	font-weight: bold;
}
.af-float-left #af-wcsc-clc-img,
.af-float-right #af-wcsc-clc-content{
	float:right;
}
.af-float-left #af-wcsc-clc-content,
.af-float-right #af-wcsc-clc-img{
	float:left;
}

#af-wcsc-clc-cat-text,#af-wcsc-clc-subcat-text{
	text-align: justify;
	width: 50%;
	float: left;
}
#af-wcsc-clc-cat-img,#af-wcsc-clc-subcat-img{
	float: right;
	width: 40%;
}

#af-wcsc-clc-category,#af-wcsc-clc-subcategory{
	padding: 10px;
}
#af-wcsc-clc-subcat-text,#af-wcsc-clc-cat-text{
	padding: 10px;
}
.wcsc_footer-color{
	color: white;
}
		</style>
	</head>
	<body style="font-family:<?php echo esc_attr($wc_sc_select_font); ?>">
	<div>

			<?php 
			$exclude_categories = get_option('wc_sc_exclude_categories');
			$is_out_of_stock_enb = get_option('wc_sc_show_hide_out_of_stock');
			$product_categories = wp_get_post_terms( $product_id[0], 'product_cat' );
			if ( empty( $product_categories ) || is_wp_error( $product_categories ) ) {
				return;
			}
			foreach ( $product_categories as $category ) {
				$category_id = $category->term_id;
				if (!empty($exclude_categories) && in_array($category_id, $exclude_categories)) {
					continue;
				}
				$category_name = $category->name;
				$category_description = $category->description;
				$category_description = wp_trim_words($category_description, 30, null);

				$thumbnail_id       = get_term_meta( $category_id, 'thumbnail_id', true );
				$category_image_url = wp_get_attachment_url( $thumbnail_id );
				$category_image_url = $category_image_url && '' !== $category_image_url ? $category_image_url : AF_WC_SC_PDF_PLUGIN_URL . 'assets/images/wcsc_img_placeholder.png';
				$category_link      = get_term_link($category_id, 'product_cat');
				
				if ( $category_image_url ) {
					?>
					<div style="margin-bottom:50px;margin-top:10px;" id="af-wcsc-clc-category">
						<div id="af-wcsc-clc-cat-text">
						<h2><?php echo esc_attr($category_name); ?></h2>
						<p><?php echo esc_attr($category_description); ?><a style="text-decoration: none;" href="<?php echo esc_url($category_link); ?>">View category</a></p>
						</div>
						<div id="af-wcsc-clc-cat-img">
							<a href="<?php echo esc_url($category_link); ?>">
								<img src="<?php echo esc_attr($category_image_url); ?>">
							</a>
						</div>
					</div>
						<?php
				}

				$subcategories = get_terms(array(
					'taxonomy' => 'product_cat',
					'parent'   => $category_id,
					'hide_empty' => false,
				));

				if ( ! empty( $subcategories ) && ! is_wp_error( $subcategories ) ) {

					foreach ( $subcategories as $subcategory ) {
						if (!empty($exclude_categories) && in_array($subcategory->term_id, $exclude_categories)) {
							continue;
						}
						$subcategory_name = $subcategory->name;
						$subcategory_description = $subcategory->description;
						$subcategory_description = wp_trim_words($subcategory_description, 30, null);

						$subcategory_thumbnail_id = get_term_meta( $subcategory->term_id, 'thumbnail_id', true );
						$subcategory_image_url = wp_get_attachment_url( $subcategory_thumbnail_id );
						$subcategory_link = get_term_link($category_id, 'product_cat');

						if ( $subcategory_image_url ) {
							?>
							<div id="af-wcsc-clc-subcategory" style="float: left; width:46%; margin:0 4%;padding:0;text-align:center;">
										<h3><?php echo esc_attr($subcategory_name); ?></h3>
											<img style="width:200px;height:150px;" src="<?php echo esc_attr($subcategory_image_url); ?>">
										<p><a style="text-decoration: none;" href="<?php echo esc_url($subcategory_link); ?>">View category</a></p>
									
								</div>
							<?php
						}
					}
					?>
					<pagebreak> 
					<?php
				}
			}
			?>
	
	<div id="af-wcsc-clc">
		<?php
		$af_dsign_flip = 0;
		foreach ( $product_id as $current_product_id ) {
			$product = wc_get_product($current_product_id);

			$exclude_cat_products = get_option('exclude_cat_product');
			if (in_array($current_product_id, $exclude_cat_products)) {
				continue;
			}

			$is_out_of_stock_enb = get_option('wc_sc_show_hide_out_of_stock');
			if ( !$is_out_of_stock_enb && !$product->is_in_stock()) {
				continue;
			}
			$product_description = '';
			$current_product_obj = wc_get_product( $current_product_id );
			$product_title       = $current_product_obj->get_title();

			$product_description = $current_product_obj->get_short_description();
			if ('long_description'==get_option('wc_sc_show_short_long_des')) {
				$product_description = $current_product_obj->get_description();
			}
			$product_description = wp_trim_words($product_description, 30, null);
			$product_price       = $current_product_obj->get_price();
			$product_image_url   = get_the_post_thumbnail_url( $current_product_obj->get_id(), 'full' );
			$product_link        = $current_product_obj->get_permalink();
			$product_sku         = $current_product_obj->get_sku();
			$currnecy_sign       = get_option( 'woocommerce_currency' );
			$sale_price          = $current_product_obj->get_sale_price();

			$terms = get_the_terms( $current_product_id, 'product_cat' );
			if ( ! empty( $terms ) ) {
				foreach ( $terms as $af_wcsc_term ) {
					$product_categories = $af_wcsc_term->name;
				}
			} else {
				$product_categories = '';
			}
			if (  empty( $product_image_url ) ) {
				$product_image_url =  wc_placeholder_img_src();
			}
			if ( 0 == $af_dsign_flip % 2) {
				$af_float_left_image = 'af-float-right';

			} else {
				$af_float_left_image = 'af-float-left';
			}
			?>
			<div class="<?php echo esc_attr($af_float_left_image); ?>" style="border-bottom:1px solid rgb(233, 233, 233); padding:25px 0;">
				<div id="af-wcsc-clc-img" style="width: 30%;">
				<a href="<?php echo esc_attr($product_link); ?>" >
					<img style="<?php echo esc_attr($is_image_en); ?>" src="<?php echo esc_attr( $product_image_url ); ?>" />
				</a>
					<?php
					if ($product && $product->is_type('variable')) {
						// Get the available variations for the product.
						$available_variations = $product->get_available_variations();
						$variation_img_limit = 0;
						foreach ($available_variations as $variation_data) {
							$variation_id = $variation_data['variation_id'];
							$variation    = new WC_Product_Variation($variation_id);

							$variation_img_limit++;
							if (4<$variation_img_limit) {
								break;
							}
							$variation_image_id = $variation->get_image_id();
							if ($variation_image_id) {
								$variation_image_url = wp_get_attachment_url($variation_image_id);
								?>
									<img style="width:40px;height:40px;margin-left:auto;margin-top:5px;<?php echo esc_attr($is_image_en); ?>" src="<?php echo esc_attr($variation_image_url); ?>" />
								<?php
							}
						}
					}   
					?>
				</div>
				<div id="af-wcsc-clc-content" style="width: 66%;">
					<b><span style="<?php echo esc_attr($is_title_en); ?>"><a id="wc_sc_title"><?php echo esc_attr( $product_title ); ?></a></span></b>
					<p style="<?php echo esc_attr($is_description_en); ?>;" id="wc_sc_des"><?php echo esc_attr( $product_description ); ?></p>
					<p style="" id="wc_sc_button"><a href="<?php echo esc_attr($product_link); ?>" ><?php esc_html_e('View Product', 'products-pdf-catalog'); ?></a></p>
					<p style="font-family:sans-serif;<?php echo esc_attr($is_price_en); ?>" id="wc_sc_price"><strong >Price: </strong><?php echo esc_attr( $product_price . get_woocommerce_currency_symbol() ); ?> <?php echo !empty($sale_price) ? ' - <del>' . esc_attr($sale_price . get_woocommerce_currency_symbol()) . '</del>' : ''; ?></p>
					<p style="<?php echo esc_attr($is_categories_en); ?>" id="wc_sc_cat"><strong>Category: </strong><?php echo esc_attr( $product_categories ); ?></p>
					<p style="<?php echo esc_attr($is_skus_en); ?>" id="wc_sc_sku"><strong>Sku: </strong><?php echo esc_attr( $product_sku ); ?></p>
					<?php
					if ($product->is_type('variable')) {
						echo '<strong>Variations: </strong>';
						$variations = $product->get_children();
						$variation_name_limit = 0;
						foreach ($variations as $variation_id) {
							$variation = wc_get_product($variation_id);
							$attributes = $variation->get_attributes();
							?>
							<?php echo esc_attr( implode(', ', $attributes) ); ?>
								<?php
							$variation_name_limit++;

								if (5<$variation_name_limit) {
									break;
								}
						}
					} 
					?>
				</div>
			</div>
		<?php $af_dsign_flip++;} ?>
	</div>
	</body>
</html